Review Management

Jump to Get ReviewsGet Reviews

Returns a paginated list of reviews for a specific location.

If the location is frozen or the user doesn’t have permission, an error is returned. You can check if a location is frozen by checking the frozen field in the Location object.

Jump to EndpointEndpoint

GEThttps://api.semrush.com/apis/v4/local/v1/locations/:location_id/reviews

Path parameters

location_idRequired

Unique identifier of the location for which you want to retrieve the reviews.

Value/Type: string

Query parameters

answered

Filters the results by whether the reviews have been replied to.

Value/Type: boolean

auto_replied

Filters the results by whether the reviews were replied to automatically.

Value/Type: boolean

ratings

Filters the results to reviews with the specified star ratings. Multiple values can be provided.

Supported values: 0, 1, 2, 3, 4, 5.

Value/Type: array of strings

offset

Starting point for the subset of records to be returned.

Default is 0.

Value/Type: integer

limit

Maximum number of reviews to be returned in a single paginated response.

Default is 50. Max. is 250.

Value/Type: integer

Response Parameters

data

List of Review objects matching the request filters.

Value/Type: array of objects

Request example
curl -X GET "https://api.semrush.com/apis/v4/local/v1/locations/1d21ceab55d740709311ec9b8a12c01e/reviews?answered=true&ratings=4,5&limit=10&offset=0" \
-H "Authorization: Apikey YOUR_API_KEY"
Response example
JSON
{
  "meta": {
      "limit": 10,
      "offset": 0,
      "total": 2,
      "request_id": "4fb1773ec2a8d61a0407f464599f897c",
      "status_code": 200,
      "success": true
  },
  "data": [
      {
          "id": "review-abc123",
          "location_id": "1d21ceab55d740709311ec9b8a12c01e",
          "title": "Excellent service and friendly staff",
          "content": "Great experience. The team was very professional and helpful. Will definitely come back.",
          "rating": 5,
          "author_name": "John Smith",
          "publish_date": "2024-05-15T14:32:00",
          "publisher": {
              "name": "Google Maps"
          },
          "url": "https://www.google.com/maps/reviews/data=!4m8!1m7!8m6!1s0x123abc",
          "supports_reply": true,
          "supports_comment_edit": true,
          "supports_comment_removal": true,
          "comments": [
              {
                  "id": "comment-123",
                  "parent_id": "review-abc123",
                  "author_name": "Business Owner",
                  "content": "Thank you for your kind words! We look forward to seeing you again.",
                  "publish_date": "2024-05-16T10:15:00",
                  "by_owner": true,
                  "auto_reply": false
              }
          ]
      },
      {
          "id": "review-def456",
          "location_id": "1d21ceab55d740709311ec9b8a12c01e",
          "title": "Good quality, competitive pricing",
          "content": "Product quality is good and prices are fair. Recommend this place.",
          "rating": 4,
          "author_name": "Sarah Johnson",
          "publish_date": "2024-05-10T09:45:00",
          "publisher": {
              "name": "Google Maps"
          },
          "url": "https://www.google.com/maps/reviews/data=!4m8!1m7!8m6!1s0x456def",
          "supports_reply": true,
          "supports_comment_edit": false,
          "supports_comment_removal": false,
          "comments": []
      }
  ]
}

Jump to Get Review OverviewGet Review Overview

Returns an overview of the reviews for a specific location, including review counts, rating distribution, and reply statistics.

If the location is frozen or the user doesn’t have permission, an error is returned. You can check if a location is frozen by checking the frozen field in the Location object.

Jump to EndpointEndpoint

GEThttps://api.semrush.com/apis/v4/local/v1/locations/:location_id/reviews/overview

Path parameters

location_idRequired

Unique identifier of the location for which you want to retrieve the review overview.

Value/Type: string

Response Parameters

meta

Response metadata.

Value/Type: object

auto_replied_count

Number of reviews that were replied to automatically.

Value/Type: integer

average_rating

Average star rating across all reviews.

Value/Type: number

not_replied_count

Number of reviews that have not been replied to.

Value/Type: integer

rating_distribution

Distribution of reviews across different star ratings.

Value/Type: object

total_count

Total number of reviews for the location.

Value/Type: integer

Request example
curl -H "Authorization: Apikey YOUR_API_KEY" "https://api.semrush.com/apis/v4/local/v1/locations/1d21ceab55d740709311ec9b8a12c01e/reviews/overview"
Response example
JSON
{
  "meta": {
      "request_id": "4fb1773ec2a8d61a0407f464599f897c",
      "status_code": 200,
      "success": true
  },
  "data": {
      "auto_replied_count": 12,
      "average_rating": 4.2,
      "not_replied_count": 5,
      "rating_distribution": {
          "five_stars_count": 28,
          "four_stars_count": 15,
          "three_stars_count": 8,
          "two_stars_count": 3,
          "one_star_count": 1,
          "no_rating_count": 2
      },
      "total_count": 57
  }
}

Last updated: September 1, 2026

Was this page helpful?